MKDOSFS(8)

NAME
mkdosfs - create an MS-DOS file system under Linux

SYNOPSIS
mkdosfs [ -c | -l filename ] [ -f number-of-FATs ] [ -F FAT-size ] [ -i volume-id ] [ -m message-file ] [ -n volume-name ] [ -r root-dir-entries ] [ -s sectors-per-cluster ] [ -v ] device [ block-count ]

DESCRIPTION
mkdosfs is used to create an MS-DOS file system under Linux on a device (usually a disk partition). device is the special file corresponding to the device (e.g /dev/hdXX). block-count is the number of blocks on the device. If omitted, mkdosfs automatically determiness the file system size.

OPTIONS

-c  Check the device for bad blocks before creating the file system.

-f number-of-FATs
    Specify the number of file allocation tables in the file system. The default is 2. Currently the Linux MS-DOS file system does not support more than 2 FATs.

-F FAT-size
    Specifies the type of file allocation tables used (12 or 16 bit). This option is normally not useful, as mkdosfs automatically selects the preferred FAT size for your filesystem.

-i volume-id
    Sets the volume ID of the newly created filesystem; volume-id is a 32-bit hexadecimal number (for example, 2e24ec82). The default is a number which depends on the filesystem creation time.

-l filename
    Read the bad blocks list from filename.

-m message-file
    Sets the message the user receives on attempts to boot this filesystem without having properly installed an operating system. The message file must not exceed 418 bytes once line feeds have been converted to carriage return-line feed combinations, and tabs have been expanded. If the filename is a hyphen (-), the text is taken from standard input.

-n volume-name
    Sets the volume name (label) of the filesystem. The volume name can be up to 11 characters long. The default is no label.

-r root-dir-entries
    Select the number of entries available in the root directory. The default is 112 or 224 for floppies and 512 for hard disks.

-s sectors-per-cluster
    Specify the number of disk sectors per cluster. Must be a power of 2, i.e. 1, 2, 4, 8, ... 128.

-v  Verbose execution.

BUGS
None are know at the moment. If you find any, please report it them to <hpa@yggdrasil.com>. Please include the version number (Yggdrasil 0.3a).

AUTHOR
Dave Hudson - <dave@humbug.demon.co.uk>; modified by Peter Anvin <hpa@yggdrasil.com>.

ACKNOWLEDGEMENTS
mkdosfs is based on code from mke2fs (written by Remy Card - <card@masi.ibp.fr>) which is itself based on mkfs (written by Linus Torvalds - <torvalds@cs.helsinki.fi>).

SEE ALSO
dosfsck(8), mkfs(8)